Status: Closed Priority: Should have
Author: oliver leitner Category:
Created: 2009-12-03 Assigned To:
Updated: 2013-05-09 Due date:
TYPO3 Version: 4.2
Complexity:
Is Regression:
Sprint Focus:
Subject: Switching Workspaces as a normal User (non admin) Cause Browser Crash in Internet Explorer 8
Description

if a normal user tries to switch workspaces, he gets the following error output:

"Object required"

When running ms js debugger, he lines out the following:

In typo3/contrib/prototype/prototype.js

Marked code:
pointer: function(event) {
      return {
        x: event.pageX || (event.clientX +
          (document.documentElement.scrollLeft || document.body.scrollLeft)),
        y: event.pageY || (event.clientY +
          (document.documentElement.scrollTop || document.body.scrollTop))
      };
    },

When closing the debugger, there are like 10 class/id/blah errors, that one needs to press no to warnings

1. login as a normal user (redakteur whatever...) using internet explorer 8
2. try to switch workspaces by the dropdown on top of the backend.

(issue imported from #M12901)

Related issues:
related to Core - Bug # 18402: Calling Workspace modul in IE cause JS-Error Closed 2008-03-09

History
#1 - 2009-12-03 14:11 - oliver leitner

that error also happens with admin users.

it happens with live and development workspace as well as with custom workspaces.

#2 - 2010-01-06 21:10 - Chris topher
Maybe related to #12532 and friends?

#3 - 2010-01-20 10:43 - oliver leitner

Sorry Christopher

0012532 doesnt solve the problem.

#4 - 2011-07-17 22:16 - Stefan Neufeind

Were you able to reproduce this with any recent version of TYPO3? Or at least 4.3 maybe?

#5 - 2013-05-09 19:49 - Alexander Opitz
- Status changed from New to Closed
- Target version deleted (0)

No response in over one year => closed.
